package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TcoreDiscoverySensitivecolumn;
import java.util.List;

public interface DiscoverySensitivecolumnService {
   List<TcoreDiscoverySensitivecolumn> querySensitiveColumnsByGroupIdByVersion(String groupid, String version);

   List<TcoreDiscoverySensitivecolumn> querySensitiveColumnsByGroupIdByVersionByCheck(String groupid, String version, String check);

   void save(TcoreDiscoverySensitivecolumn tcoreDiscoverySensitivecolumn);

   List<TcoreDiscoverySensitivecolumn> getSensitiveByIdBySchema(String datasystemid, String schema, String table);

   void saveTcoreDiscoverySensitivecolumn(StringBuilder sql);
}
